ForLoopTree (Java SE 10 & JDK 10 )
Keywords: jdk.nashorn.api.tree.ForLoopTree interface

Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface ForLoopTree

- All Superinterfaces:
    `ConditionalLoopTree`, `LoopTree`, `StatementTree`, `Tree`

      public interface ForLoopTree
      extends ConditionalLoopTree

  A tree node for a basic 'for' loop statement. For example:

         for ( initializer ; condition ; update )
             statement

  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExpressionTree` | `getCondition()` | Returns the condition expression of this 'for' statement.
    `ExpressionTree` | `getInitializer()` | Returns the initializer expression of this 'for' statement.
    `StatementTree` | `getStatement()` | Returns the statement contained in this 'for' statement.
    `ExpressionTree` | `getUpdate()` | Returns the update expression of this 'for' statement.

    - ### Methods declared in interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getInitializer

          ExpressionTree getInitializer()

      Returns the initializer expression of this 'for' statement.
      Returns:
        the initializer expression

    - #### getCondition

          ExpressionTree getCondition()

      Returns the condition expression of this 'for' statement.
      Specified by:
        `getCondition` in interface `ConditionalLoopTree`
      Returns:
        the condition expression

    - #### getUpdate

          ExpressionTree getUpdate()

      Returns the update expression of this 'for' statement.
      Returns:
        the update expression

    - #### getStatement

          StatementTree getStatement()

      Returns the statement contained in this 'for' statement.
      Specified by:
        `getStatement` in interface `LoopTree`
      Returns:
        the statement